#include<iostream>

using namespace std;

struct String{

    string rezultat;

};

string funkcija(long long int N,long long int M,long long int K)
{

    long long int pkb = 0;
    for(long long int i = 0; i < N; ++i){
        if(M > pkb){
            pkb += 1;
            M -= pkb;
        }
        else{
            return "Nie";
        }
    }

    return "Tak";


}

int main(void)
{
    int T;

    cin>>T;

    long long int N, M, K;

    String rez[T];

    for(int i = 0; i < T; ++i){

        cin>>N>>M>>K;
        rez[i].rezultat = funkcija(N,M,K);
    }

    for(int i = 0; i < T; ++i){

        cout<<rez[i].rezultat<<endl;
    }


    return 0;
}